# KyuuRyuu
From japanese 急流 meaning "rapid stream" or "swift current" aka "fast (Tensor)flow".

## Overview
**KyuuRyuu** is a Python library designed to simplify the process of working with TensorFlow and Keras for machine learning tasks. It provides convenient utilities for data loading, preprocessing, building models, training, evaluation, and visualization.

## Features
- Seamless integration with TensorFlow and Keras.
- Simplified data loading and preprocessing pipelines.
- Support for various data formats, including CSV, JSON, and image datasets.
- Flexible model creation and customization.
- Built-in visualization tools for monitoring training progress and model performance.
- Extensive documentation and examples for easy usage.

### Dependencies
- TensorFlow
- Keras
- NumPy
- Pandas
- Matplotlib
- Seaborn

## Installation
To install **KyuuRyuu**, simply use pip:

```bash
pip install kyuuryuu
